%define name x11amp
%define version 0.9_alpha3
%define release 6
%define serial 1

Summary: X11 mp3 player with features not unlike WinAMP.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: Applications/Multimedia
URL: http://www.x11amp.org
Source: %{name}-0.9-alpha3.tar.gz
Source1: x11amp.desktop
Source2: mp3license 
Source3: README.ESD 
Patch: x11amp-0.9-alpha3-plugin-fallback.patch
Requires: gtk+ >= 1.1.15
BuildRoot: /var/tmp/%{name}-%{version}
Obsoletes: x11amp0.7-1-1

%description
X11amp is a X Windows based mp3 player with a nice interface
borrowed from WinAMP.

For information on the MP3 License, please visit:
http://www.mpeg.org/

%package devel
Summary: Static libraries and header files for x11amp.
Group: Development/Libraries
Requires: %{name}

%description devel
Static libraries and header files for building x11amp plugins.

%prep
%setup -q -n x11amp-0.9-alpha3
if [ ! -e configure ]; then
	CFLAGS=$RPM_OPT_FLAGS \
	./autogen.sh --prefix=/usr/X11R6
else
	CFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=/usr/X11R6
fi

%patch -p1 -b .plugin-fallback

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/
install -m 644 $RPM_SOURCE_DIR/x11amp.desktop  $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/

strip $RPM_BUILD_ROOT/usr/X11R6/bin/x11amp
%post
/sbin/ldconfig  

%postun -p /sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%doc $RPM_SOURCE_DIR/README.ESD
/usr/X11R6/bin/x11amp
/usr/X11R6/lib/libx11amp.so.0
/usr/X11R6/lib/libx11amp.so.0.9.0
/usr/X11R6/lib/x11amp
/etc/X11/applnk/Multimedia/x11amp.desktop

%files devel
%defattr(-,root,root)
/usr/X11R6/include/x11amp
/usr/X11R6/lib/libx11amp.a
/usr/X11R6/lib/libx11amp.la
/usr/X11R6/lib/libx11amp.so

%changelog
* Thu Apr 8 1999 The Rasterman <raster@redhat.com>
- patched to have plugin fallback to other plugins for output if plugin fails.

* Mon Mar 29 1999 Michael Maher <mike@redhat.com>
- added desktop entry.

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- made some changes to the spec file. 
- has 'esd' support now.
- stripped executables.

* Mon Feb 15 1999 Michael Maher <mike@redhat.com>
- built pacakge for 6.0
- changed spec file, added mp3 licenses.

* Mon Feb 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-1]
- Updated to alpha3 see ChangLog for changes.

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha2-1]
- fixed close button in PL/EQ windows
- fixed shuffel/randomize functions
- removed imlib, no need for imlib anymore
- mpg123 plugin now works on SMP machines, also reduced cpu usage
- fixed so mainwindow will be positioned correct at startup in some windowmanagers
- fixed the playlistwindow buttons that ended up behind the window
- added mikmod plugin into the source tree
- now you can configure the OSS drivers and mpg123 plugin
- SKINSDIR variable can be used again
- added bars as analyzer mode
- in playlistwindow the player control buttons now work, also time window works
